## WebKitDOMScreen

WebKitDOMScreen

## Functions

gulong | webkit_dom_screen_get_height ()
gulong | webkit_dom_screen_get_width ()
gulong | webkit_dom_screen_get_color_depth ()
gulong | webkit_dom_screen_get_pixel_depth ()
glong | webkit_dom_screen_get_avail_left ()
glong | webkit_dom_screen_get_avail_top ()
gulong | webkit_dom_screen_get_avail_height ()
gulong | webkit_dom_screen_get_avail_width ()

## Properties

gulong | avail-height | Read
glong | avail-left | Read
glong | avail-top | Read
gulong | avail-width | Read
gulong | color-depth | Read
gulong | height | Read
gulong | pixel-depth | Read
gulong | width | Read

## Types and Values

| WebKitDOMScreen

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMScreen

## Description

## Functions

### webkit_dom_screen_get_height ()

    gulong
    webkit_dom_screen_get_height (WebKitDOMScreen *self);

#### Parameters

self | A WebKitDOMScreen |

#### Returns

A gulong

### webkit_dom_screen_get_width ()

    gulong
    webkit_dom_screen_get_width (WebKitDOMScreen *self);

#### Parameters

self | A WebKitDOMScreen |

#### Returns

A gulong

### webkit_dom_screen_get_color_depth ()

    gulong
    webkit_dom_screen_get_color_depth (WebKitDOMScreen *self);

#### Parameters

self | A WebKitDOMScreen |

#### Returns

A gulong

### webkit_dom_screen_get_pixel_depth ()

    gulong
    webkit_dom_screen_get_pixel_depth (WebKitDOMScreen *self);

#### Parameters

self | A WebKitDOMScreen |

#### Returns

A gulong

### webkit_dom_screen_get_avail_left ()

    glong
    webkit_dom_screen_get_avail_left (WebKitDOMScreen *self);

#### Parameters

self | A WebKitDOMScreen |

#### Returns

A glong

### webkit_dom_screen_get_avail_top ()

    glong
    webkit_dom_screen_get_avail_top (WebKitDOMScreen *self);

#### Parameters

self | A WebKitDOMScreen |

#### Returns

A glong

### webkit_dom_screen_get_avail_height ()

    gulong
    webkit_dom_screen_get_avail_height (WebKitDOMScreen *self);

#### Parameters

self | A WebKitDOMScreen |

#### Returns

A gulong

### webkit_dom_screen_get_avail_width ()

    gulong
    webkit_dom_screen_get_avail_width (WebKitDOMScreen *self);

#### Parameters

self | A WebKitDOMScreen |

#### Returns

A gulong

## Types and Values

### WebKitDOMScreen

    typedef struct _WebKitDOMScreen WebKitDOMScreen;

## Property Details

### The `“avail-height”` property

      “avail-height”             gulong

read-only gulong Screen:avail-height.

Flags: Read

### The `“avail-left”` property

      “avail-left”               glong

read-only glong Screen:avail-left.

Flags: Read

Default value: 0

### The `“avail-top”` property

      “avail-top”                glong

read-only glong Screen:avail-top.

Flags: Read

Default value: 0

### The `“avail-width”` property

      “avail-width”              gulong

read-only gulong Screen:avail-width.

Flags: Read

### The `“color-depth”` property

      “color-depth”              gulong

read-only gulong Screen:color-depth.

Flags: Read

### The `“height”` property

      “height”                   gulong

read-only gulong Screen:height.

Flags: Read

### The `“pixel-depth”` property

      “pixel-depth”              gulong

read-only gulong Screen:pixel-depth.

Flags: Read

### The `“width”` property

      “width”                    gulong

read-only gulong Screen:width.

Flags: Read